/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * length(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => np.float64(2.9654510618116765)lf
 * length(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => np.float64(0.9605206921248496)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(length(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), np.float64(2.9654510618116765)lf) <= np.float64(2.9654510618116767e-05)lf ? 1 : -1] array0;
  double[distance(length(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), np.float64(0.9605206921248496)lf) <= np.float64(9.605206921248497e-06)lf ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
