/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)) => u64vec4(np.uint64(41)ul, np.uint64(4)ul, np.uint64(0)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)) => u64vec4(np.uint64(0)ul, np.uint64(8)ul, np.uint64(0)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)) => u64vec4(np.uint64(20)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)) => u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)), u64vec4(np.uint64(41)ul, np.uint64(4)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)), u64vec4(np.uint64(0)ul, np.uint64(8)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)), u64vec4(np.uint64(20)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)), u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
