/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * tan(np.float32(-3.1415927)) => np.float32(-8.742278e-08)
 * tan(np.float32(-1.0471976)) => np.float32(-1.7320509)
 * tan(np.float32(1.0471976)) => np.float32(1.7320509)
 * tan(np.float32(3.1415927)) => np.float32(8.742278e-08)
 */
#version 120

void main()
{
  float[distance(tan(np.float32(-3.1415927)), np.float32(-8.742278e-08)) <= np.float32(1e-04) ? 1 : -1] array0;
  float[distance(tan(np.float32(-1.0471976)), np.float32(-1.7320509)) <= np.float32(0.0017320509) ? 1 : -1] array1;
  float[distance(tan(np.float32(1.0471976)), np.float32(1.7320509)) <= np.float32(0.0017320509) ? 1 : -1] array2;
  float[distance(tan(np.float32(3.1415927)), np.float32(8.742278e-08)) <= np.float32(1e-04) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
