/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(1296)u, np.uint32(1024)u, np.uint32(7744)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(2124)u, np.uint32(2464)u, np.uint32(5984)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(2124)u, np.uint32(2464)u, np.uint32(5984)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(3481)u, np.uint32(5929)u, np.uint32(4624)u)
 */
#version 150

void main()
{
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(1296)u, np.uint32(1024)u, np.uint32(7744)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(2124)u, np.uint32(2464)u, np.uint32(5984)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(2124)u, np.uint32(2464)u, np.uint32(5984)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(3481)u, np.uint32(5929)u, np.uint32(4624)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
