/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(0.1)lf, np.float64(1.2)lf)
 * faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)
 * faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)
 * faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(0.1)lf, np.float64(1.2)lf)
 * faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(0.42)lf, np.float64(-0.48)lf)
 * faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)
 * faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)
 * faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(0.42)lf, np.float64(-0.48)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(0.1)lf, np.float64(1.2)lf)) <= np.float64(1.2041594578792297e-05)lf ? 1 : -1] array0;
  double[distance(faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) <= np.float64(1.2041594578792297e-05)lf ? 1 : -1] array1;
  double[distance(faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) <= np.float64(1.2041594578792297e-05)lf ? 1 : -1] array2;
  double[distance(faceforward(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(0.1)lf, np.float64(1.2)lf)) <= np.float64(1.2041594578792297e-05)lf ? 1 : -1] array3;
  double[distance(faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(0.42)lf, np.float64(-0.48)lf)) <= np.float64(6.37808748764079e-06)lf ? 1 : -1] array4;
  double[distance(faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) <= np.float64(6.37808748764079e-06)lf ? 1 : -1] array5;
  double[distance(faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) <= np.float64(6.37808748764079e-06)lf ? 1 : -1] array6;
  double[distance(faceforward(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(0.42)lf, np.float64(-0.48)lf)) <= np.float64(6.37808748764079e-06)lf ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
