/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * asin(np.float32(-1.0)) => np.float32(-1.5707964)
 * asin(np.float32(-0.33333334)) => np.float32(-0.33983693)
 * asin(np.float32(0.33333334)) => np.float32(0.33983693)
 * asin(np.float32(1.0)) => np.float32(1.5707964)
 */
#version 120

void main()
{
  float[distance(asin(np.float32(-1.0)), np.float32(-1.5707964)) <= np.float32(0.0015707964) ? 1 : -1] array0;
  float[distance(asin(np.float32(-0.33333334)), np.float32(-0.33983693)) <= np.float32(0.00033983693) ? 1 : -1] array1;
  float[distance(asin(np.float32(0.33333334)), np.float32(0.33983693)) <= np.float32(0.00033983693) ? 1 : -1] array2;
  float[distance(asin(np.float32(1.0)), np.float32(1.5707964)) <= np.float32(0.0015707964) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
