/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * max(np.int32(-5), np.int32(-5)) => np.int32(-5)
 * max(np.int32(-5), np.int32(-2)) => np.int32(-2)
 * max(np.int32(-5), np.int32(-1)) => np.int32(-1)
 * max(np.int32(-5), np.int32(0)) => np.int32(0)
 * max(np.int32(-5), np.int32(1)) => np.int32(1)
 * max(np.int32(-5), np.int32(2)) => np.int32(2)
 * max(np.int32(-5), np.int32(5)) => np.int32(5)
 * max(np.int32(-2), np.int32(-5)) => np.int32(-2)
 * max(np.int32(-2), np.int32(-2)) => np.int32(-2)
 * max(np.int32(-2), np.int32(-1)) => np.int32(-1)
 * max(np.int32(-2), np.int32(0)) => np.int32(0)
 * max(np.int32(-2), np.int32(1)) => np.int32(1)
 * max(np.int32(-2), np.int32(2)) => np.int32(2)
 * max(np.int32(-2), np.int32(5)) => np.int32(5)
 * max(np.int32(-1), np.int32(-5)) => np.int32(-1)
 * max(np.int32(-1), np.int32(-2)) => np.int32(-1)
 * max(np.int32(-1), np.int32(-1)) => np.int32(-1)
 * max(np.int32(-1), np.int32(0)) => np.int32(0)
 * max(np.int32(-1), np.int32(1)) => np.int32(1)
 * max(np.int32(-1), np.int32(2)) => np.int32(2)
 * max(np.int32(-1), np.int32(5)) => np.int32(5)
 * max(np.int32(0), np.int32(-5)) => np.int32(0)
 * max(np.int32(0), np.int32(-2)) => np.int32(0)
 * max(np.int32(0), np.int32(-1)) => np.int32(0)
 * max(np.int32(0), np.int32(0)) => np.int32(0)
 * max(np.int32(0), np.int32(1)) => np.int32(1)
 * max(np.int32(0), np.int32(2)) => np.int32(2)
 * max(np.int32(0), np.int32(5)) => np.int32(5)
 * max(np.int32(1), np.int32(-5)) => np.int32(1)
 * max(np.int32(1), np.int32(-2)) => np.int32(1)
 * max(np.int32(1), np.int32(-1)) => np.int32(1)
 * max(np.int32(1), np.int32(0)) => np.int32(1)
 * max(np.int32(1), np.int32(1)) => np.int32(1)
 * max(np.int32(1), np.int32(2)) => np.int32(2)
 * max(np.int32(1), np.int32(5)) => np.int32(5)
 * max(np.int32(2), np.int32(-5)) => np.int32(2)
 * max(np.int32(2), np.int32(-2)) => np.int32(2)
 * max(np.int32(2), np.int32(-1)) => np.int32(2)
 * max(np.int32(2), np.int32(0)) => np.int32(2)
 * max(np.int32(2), np.int32(1)) => np.int32(2)
 * max(np.int32(2), np.int32(2)) => np.int32(2)
 * max(np.int32(2), np.int32(5)) => np.int32(5)
 * max(np.int32(5), np.int32(-5)) => np.int32(5)
 * max(np.int32(5), np.int32(-2)) => np.int32(5)
 * max(np.int32(5), np.int32(-1)) => np.int32(5)
 * max(np.int32(5), np.int32(0)) => np.int32(5)
 * max(np.int32(5), np.int32(1)) => np.int32(5)
 * max(np.int32(5), np.int32(2)) => np.int32(5)
 * max(np.int32(5), np.int32(5)) => np.int32(5)
 */
#version 130

void main()
{
  float[max(np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array0;
  float[max(np.int32(-5), np.int32(-2)) == np.int32(-2) ? 1 : -1] array1;
  float[max(np.int32(-5), np.int32(-1)) == np.int32(-1) ? 1 : -1] array2;
  float[max(np.int32(-5), np.int32(0)) == np.int32(0) ? 1 : -1] array3;
  float[max(np.int32(-5), np.int32(1)) == np.int32(1) ? 1 : -1] array4;
  float[max(np.int32(-5), np.int32(2)) == np.int32(2) ? 1 : -1] array5;
  float[max(np.int32(-5), np.int32(5)) == np.int32(5) ? 1 : -1] array6;
  float[max(np.int32(-2), np.int32(-5)) == np.int32(-2) ? 1 : -1] array7;
  float[max(np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array8;
  float[max(np.int32(-2), np.int32(-1)) == np.int32(-1) ? 1 : -1] array9;
  float[max(np.int32(-2), np.int32(0)) == np.int32(0) ? 1 : -1] array10;
  float[max(np.int32(-2), np.int32(1)) == np.int32(1) ? 1 : -1] array11;
  float[max(np.int32(-2), np.int32(2)) == np.int32(2) ? 1 : -1] array12;
  float[max(np.int32(-2), np.int32(5)) == np.int32(5) ? 1 : -1] array13;
  float[max(np.int32(-1), np.int32(-5)) == np.int32(-1) ? 1 : -1] array14;
  float[max(np.int32(-1), np.int32(-2)) == np.int32(-1) ? 1 : -1] array15;
  float[max(np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array16;
  float[max(np.int32(-1), np.int32(0)) == np.int32(0) ? 1 : -1] array17;
  float[max(np.int32(-1), np.int32(1)) == np.int32(1) ? 1 : -1] array18;
  float[max(np.int32(-1), np.int32(2)) == np.int32(2) ? 1 : -1] array19;
  float[max(np.int32(-1), np.int32(5)) == np.int32(5) ? 1 : -1] array20;
  float[max(np.int32(0), np.int32(-5)) == np.int32(0) ? 1 : -1] array21;
  float[max(np.int32(0), np.int32(-2)) == np.int32(0) ? 1 : -1] array22;
  float[max(np.int32(0), np.int32(-1)) == np.int32(0) ? 1 : -1] array23;
  float[max(np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array24;
  float[max(np.int32(0), np.int32(1)) == np.int32(1) ? 1 : -1] array25;
  float[max(np.int32(0), np.int32(2)) == np.int32(2) ? 1 : -1] array26;
  float[max(np.int32(0), np.int32(5)) == np.int32(5) ? 1 : -1] array27;
  float[max(np.int32(1), np.int32(-5)) == np.int32(1) ? 1 : -1] array28;
  float[max(np.int32(1), np.int32(-2)) == np.int32(1) ? 1 : -1] array29;
  float[max(np.int32(1), np.int32(-1)) == np.int32(1) ? 1 : -1] array30;
  float[max(np.int32(1), np.int32(0)) == np.int32(1) ? 1 : -1] array31;
  float[max(np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array32;
  float[max(np.int32(1), np.int32(2)) == np.int32(2) ? 1 : -1] array33;
  float[max(np.int32(1), np.int32(5)) == np.int32(5) ? 1 : -1] array34;
  float[max(np.int32(2), np.int32(-5)) == np.int32(2) ? 1 : -1] array35;
  float[max(np.int32(2), np.int32(-2)) == np.int32(2) ? 1 : -1] array36;
  float[max(np.int32(2), np.int32(-1)) == np.int32(2) ? 1 : -1] array37;
  float[max(np.int32(2), np.int32(0)) == np.int32(2) ? 1 : -1] array38;
  float[max(np.int32(2), np.int32(1)) == np.int32(2) ? 1 : -1] array39;
  float[max(np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array40;
  float[max(np.int32(2), np.int32(5)) == np.int32(5) ? 1 : -1] array41;
  float[max(np.int32(5), np.int32(-5)) == np.int32(5) ? 1 : -1] array42;
  float[max(np.int32(5), np.int32(-2)) == np.int32(5) ? 1 : -1] array43;
  float[max(np.int32(5), np.int32(-1)) == np.int32(5) ? 1 : -1] array44;
  float[max(np.int32(5), np.int32(0)) == np.int32(5) ? 1 : -1] array45;
  float[max(np.int32(5), np.int32(1)) == np.int32(5) ? 1 : -1] array46;
  float[max(np.int32(5), np.int32(2)) == np.int32(5) ? 1 : -1] array47;
  float[max(np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array48;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length());
}
