/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) + uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(72)u, np.uint32(64)u, np.uint32(176)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) + uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(95)u, np.uint32(109)u, np.uint32(156)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) + uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(95)u, np.uint32(109)u, np.uint32(156)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) + uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(118)u, np.uint32(154)u, np.uint32(136)u)
 */
#version 150

void main()
{
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) + uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(72)u, np.uint32(64)u, np.uint32(176)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) + uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(95)u, np.uint32(109)u, np.uint32(156)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) + uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(95)u, np.uint32(109)u, np.uint32(156)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) + uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(118)u, np.uint32(154)u, np.uint32(136)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
