/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(0)u) => uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(6)u) => uvec4(np.uint32(60)u, np.uint32(66)u, np.uint32(81)u, np.uint32(69)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(12)u) => uvec4(np.uint32(54)u, np.uint32(60)u, np.uint32(75)u, np.uint32(63)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(32)u) => uvec4(np.uint32(34)u, np.uint32(40)u, np.uint32(55)u, np.uint32(43)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(74)u) => uvec4(np.uint32(4294967288)u, np.uint32(4294967294)u, np.uint32(13)u, np.uint32(1)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(0)u) => uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(6)u) => uvec4(np.uint32(18)u, np.uint32(34)u, np.uint32(17)u, np.uint32(68)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(12)u) => uvec4(np.uint32(12)u, np.uint32(28)u, np.uint32(11)u, np.uint32(62)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(32)u) => uvec4(np.uint32(4294967288)u, np.uint32(8)u, np.uint32(4294967287)u, np.uint32(42)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(74)u) => uvec4(np.uint32(4294967246)u, np.uint32(4294967262)u, np.uint32(4294967245)u, np.uint32(0)u)
 */
#version 150

void main()
{
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(0)u), uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(6)u), uvec4(np.uint32(60)u, np.uint32(66)u, np.uint32(81)u, np.uint32(69)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(12)u), uvec4(np.uint32(54)u, np.uint32(60)u, np.uint32(75)u, np.uint32(63)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(32)u), uvec4(np.uint32(34)u, np.uint32(40)u, np.uint32(55)u, np.uint32(43)u))) ? 1 : -1] array3;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) - np.uint32(74)u), uvec4(np.uint32(4294967288)u, np.uint32(4294967294)u, np.uint32(13)u, np.uint32(1)u))) ? 1 : -1] array4;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(0)u), uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u))) ? 1 : -1] array5;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(6)u), uvec4(np.uint32(18)u, np.uint32(34)u, np.uint32(17)u, np.uint32(68)u))) ? 1 : -1] array6;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(12)u), uvec4(np.uint32(12)u, np.uint32(28)u, np.uint32(11)u, np.uint32(62)u))) ? 1 : -1] array7;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(32)u), uvec4(np.uint32(4294967288)u, np.uint32(8)u, np.uint32(4294967287)u, np.uint32(42)u))) ? 1 : -1] array8;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) - np.uint32(74)u), uvec4(np.uint32(4294967246)u, np.uint32(4294967262)u, np.uint32(4294967245)u, np.uint32(0)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
