/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * greaterThan(dvec4(np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(false, false, false, false)
 * greaterThan(dvec4(np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(true, false, false, false)
 * greaterThan(dvec4(np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(true, true, false, false)
 * greaterThan(dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(true, true, true, false)
 */
#version 400

void main()
{
  double[all(equal(greaterThan(dvec4(np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)), bvec4(false, false, false, false))) ? 1 : -1] array0;
  double[all(equal(greaterThan(dvec4(np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)), bvec4(true, false, false, false))) ? 1 : -1] array1;
  double[all(equal(greaterThan(dvec4(np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)), bvec4(true, true, false, false))) ? 1 : -1] array2;
  double[all(equal(greaterThan(dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)), bvec4(true, true, true, false))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
